Package oracle.dbtools.plugin.api.types

## Enum PrimitiveWrapper

- java.lang.Object
- - java.lang.Enum<PrimitiveWrapper>
  - - oracle.dbtools.plugin.api.types.PrimitiveWrapper

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PrimitiveWrapper>`

      public enum PrimitiveWrapper
      extends java.lang.Enum<PrimitiveWrapper>

  Enumeration of the wrapper type for each Java `Primitive` type
  Since:
    19.3.0
  Author:
    cdivilly

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOOLEAN` | The `Boolean` type
    `BYTE` | The `Byte` type
    `CHARACTER` | The `Character` type
    `DOUBLE` | The `Double` type
    `FLOAT` | The `Float` type
    `INTEGER` | The `Integer` type
    `LONG` | The `Long` type
    `PRIMITIVE` | Denotes any `Primitive` type
    `REFERENCE` | A non primitive type
    `SHORT` | The `Short` type

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isWrapper()` | Indicates if this represents a primitive wrapper type
    `Primitive` | `primitive()` | The corresponding `Primitive` type
    `java.lang.Class<?>` | `type()` | The `Class` instance for this primtive wrapper
    `static PrimitiveWrapper` | `valueOf​(java.lang.Class<?> type)` | Determine the appropriate `PrimitiveWrapper` for the specified type
    `static PrimitiveWrapper` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PrimitiveWrapper[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final PrimitiveWrapper BOOLEAN

      The `Boolean` type

    - #### BYTE

          public static final PrimitiveWrapper BYTE

      The `Byte` type

    - #### CHARACTER

          public static final PrimitiveWrapper CHARACTER

      The `Character` type

    - #### DOUBLE

          public static final PrimitiveWrapper DOUBLE

      The `Double` type

    - #### FLOAT

          public static final PrimitiveWrapper FLOAT

      The `Float` type

    - #### INTEGER

          public static final PrimitiveWrapper INTEGER

      The `Integer` type

    - #### LONG

          public static final PrimitiveWrapper LONG

      The `Long` type

    - #### PRIMITIVE

          public static final PrimitiveWrapper PRIMITIVE

      Denotes any `Primitive` type

    - #### REFERENCE

          public static final PrimitiveWrapper REFERENCE

      A non primitive type

    - #### SHORT

          public static final PrimitiveWrapper SHORT

      The `Short` type

  - ### Method Detail

    - #### values

          public static PrimitiveWrapper[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PrimitiveWrapper c : PrimitiveWrapper.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PrimitiveWrapper valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### type

          public java.lang.Class<?> type()

      The `Class` instance for this primtive wrapper
      Returns:
        `Class` instance

    - #### primitive

          public Primitive primitive()

      The corresponding `Primitive` type
      Returns:
        `Primitive` instance

    - #### isWrapper

          public boolean isWrapper()

      Indicates if this represents a primitive wrapper type
      Returns:
        true if this is not `REFERENCE` or `PRIMITIVE`, false otherwise

    - #### valueOf

          public static PrimitiveWrapper valueOf​(java.lang.Class<?> type)

      Determine the appropriate `PrimitiveWrapper` for the specified type
      Parameters:
        `type` - The type to check
      Returns:
        `PrimitiveWrapper` instance